Orangutan - Improvement #24

Get rid of clients sending "online” packets while user is not online

14 Oct 2009 20:06 - Andriy Lesyuk

Status: Closed Start date:

Priority: Minor Due date:

Assignee: Andriy Lesyuk % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.05

Description

Olga Kulynyn had (or still has) this issue. While Olga was sleeping at home her Pandion client was sending “online” packets to the
server periodically. That led to task breaks during the night and extremely long work time for a day. This is definitely not Orangutan
bug but he should get rid of this (his goal is to help and this does not look as a help). There are several options... Some of them: a)
detect often status changes and ask user if he is online (checking work time) then stop task or set mark that the user is not online

actually, b) enlarge time for breaks just to skip such breaks, c) detect changes and just mark that status changes too often then use

another time when breaking etc.

History

#1 - 18 Nov 2009 12:39 - Andriy Lesyuk

Seems to be fixed

#2 - 02 Mar 2011 21:44 - Andriy Lesyuk

- Tracker changed from Bug to Improvement
